Summary:	Clone of a Risk clone
Name:		teg
Version:	0.13.0
Release:	%mkrel 3
License:	GPLv2+
Group:		Games/Strategy
URL:		https://github.com/wfx/teg
Source0:	https://github.com/wfx/teg/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	GConf2
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(goocanvas-2.0)
BuildRequires:	pkgconfig(readline)
BuildRequires:	gettext-devel
BuildRequires:	libstdc++-static-devel
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	xmlto
Requires(post): GConf2
Requires(preun): GConf2

%description
Tenes Emapandas Graciela (TEG) is a clone of 'Plan Táctico y Estratégico
de la Guerra' (Tactical and Strategic plan of the War), which is a
pseudo-clone of Risk, a turn-based strategy game. Some rules are
different.

%prep
%autosetup

# strange perms on some files
chmod 640 AUTHORS ChangeLog PEOPLE README* TODO

%build
./autogen.sh
%configure --bindir=%{_gamesbindir}
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install bindir=%{_gamesbindir} 

mv -f %{buildroot}%{_datadir}/pixmaps/teg_icono.png %{buildroot}%{_datadir}/pixmaps/teg.png

for png in 48x48 32x32 16x16; do
    mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
    magick client/teg_pix/teg_icono.png -geometry $png %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

pushd .
cd %{buildroot}%{_datadir}/locale
for a in *.gmo; do
    mv -f $a/LC_MESSAGES/teg@INSTOBJEXT@ $a/LC_MESSAGES/teg.mo
    mv -f $a `basename $a .gmo`
done
popd

sed -i 's|Icon=teg_icono|Icon=teg|' %{buildroot}%{_datadir}/applications/%name.desktop

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS ChangeLog PEOPLE README* TODO
%license COPYING
%{_gamesbindir}/*
%{_datadir}/%{name}/
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/%name.desktop
%{_datadir}/GConf/gsettings/%name.convert
%{_datadir}/glib-2.0/schemas/net.sf.%name.gschema.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 0.13.0-3.mga10
+ Revision: 2248603
- Mageia 10 Mass Rebuild

* Sun Mar 16 2025 wally <wally> 0.13.0-2.mga10
+ Revision: 2165040
- rebuild for libxml2 2.13.6

* Fri Nov 22 2024 daviddavid <daviddavid> 0.13.0-1.mga10
+ Revision: 2118550
- new version: 0.13.0

* Thu Mar 31 2022 umeabot <umeabot> 0.12.0-2.mga9
+ Revision: 1836914
- Mageia 9 Mass Rebuild

* Fri Mar 12 2021 daviddavid <daviddavid> 0.12.0-1.mga9
+ Revision: 1701668
- new version: 0.12.0
- update Url and Source Url

* Thu Aug 20 2020 joequant <joequant> 0.11.2-18.mga8
+ Revision: 1616810
- fix build

* Fri Feb 14 2020 umeabot <umeabot> 0.11.2-17.mga8
+ Revision: 1517406
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.11.2-16.mga7
+ Revision: 1301355
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 wally <wally> 0.11.2-15.mga7
+ Revision: 1245868
- fix build on aarch64
- use new make macros

* Mon Feb 01 2016 umeabot <umeabot> 0.11.2-14.mga6
+ Revision: 930251
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.11.2-13.mga5
+ Revision: 741085
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11.2-12.mga5
+ Revision: 689766
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.11.2-11.mga4
+ Revision: 519584
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.11.2-10.mga3
+ Revision: 384214
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 dams <dams> 0.11.2-9.mga3
+ Revision: 257624
+ rebuild (emptylog)

* Sun Jul 24 2011 stormi <stormi> 0.11.2-8.mga2
+ Revision: 128142
- increase release so that it's higher than in mageia 1

* Sun Jul 03 2011 zezinho <zezinho> 0.11.2-7.mga2
+ Revision: 117746
- imported package teg


* Fri Dec 03 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.11.2-7mdv2011.0
+ Revision: 606764
- Rebuild

* Wed Sep 09 2009 Thierry Vignaud <tv@mandriva.org> 0.11.2-6mdv2010.0
+ Revision: 434315
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org> 0.11.2-5mdv2009.0
+ Revision: 261458
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.11.2-4mdv2009.0
+ Revision: 254353
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.11.2-2mdv2008.1
+ Revision: 136535
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 01 2007 Funda Wang <fwang@mandriva.org> 0.11.2-2mdv2008.0
+ Revision: 77294
- Remove wrong de comment of menu entry

* Thu May 31 2007 Olivier Blin <oblin@mandriva.com> 0.11.2-1mdv2008.0
+ Revision: 33157
- use XDG menu instead of old debian style menu (and thus fix #18518)
- 0.11.2


* Sun Jan 07 2007 Olivier Blin <oblin@mandriva.com> 0.11.1-2mdv2007.0
+ Revision: 105175
- rebuild with openssl (#28013)
- use gconf schemas macros
- do not run intltoolize, it is not required anymore
- Import teg

* Thu Jul 29 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11.1-1mdk
- new version

* Wed Feb 18 2004 Abel Cheung <deaddog@deaddog.org> 0.11.0-5mdk
- Patch0: from Andre van Blokland <avblokland@gmx.net>:
  o Added patches from CVS which hopefully stops the client from crashing
- Remove server menu entry, it can be started via client
- Move binary to $gamesbindir

